Bug 213804 - Better handling for suspend errors
Better handling for suspend errors
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Reopened
Depends On: 214510
  Show dependency treegraph
Reported: 2006-11-02 21:10 EST by Matthias Clasen
Modified: 2013-03-05 22:47 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-19 10:11:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-02 21:10:20 EST
For beta2, we want the Suspend menu item to bring up a dialog containing a
disclaimer that suspending may crash on some machines. We also want to write
out some relevant information from hal into a file, and ask the user to
send that file in bugzilla if suspend does actually crash.
Comment 1 Matthias Clasen 2006-11-02 21:14:57 EST
The relevant information from hal would be at least the laptop model and vendor,
I think, plus possibly the list of loaded kernel modules.

If we remove the file after each successful resume, we may also be able to
detect its presence during boot, and ask the user if he wants to send it off.
Comment 2 RHEL Product and Program Management 2006-11-02 21:44:53 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 6 Jay Turner 2006-11-03 10:17:06 EST
QE nak . . . features were frozon long again and with the compressed schedule, I
would be derelict in giving an ack.
Comment 7 RHEL Product and Program Management 2006-11-03 10:21:22 EST
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request. 
Comment 10 Matthias Clasen 2006-11-07 12:06:27 EST
Adjusting the title 
Comment 11 David Zeuthen 2006-11-08 11:17:35 EST
Should be fixed in 


and should work with SELinux enforcing (see bug 214510) if you use


Requesting inclusion of the two former packages for beta2.
Comment 12 David Zeuthen 2006-11-08 13:41:43 EST
Actually the g-p-m package only had half the patch it needed. Ray and I just tested


which works fine in Permissive mode. Still needs a fix in SELinux policy for
enforcing mode, see bug 214510 for details. Thanks.
Comment 13 David Zeuthen 2006-11-08 15:18:45 EST
Fixed in Enforcing mode with new SELinux policy.


I'll ask releng to include these in beta2.
Comment 14 Jay Turner 2006-12-19 10:11:52 EST
hal- and gnome-power-manager-2.16.0-7.el5 included in 20061218.1

Note You need to log in before you can comment on or make changes to this bug.